Bug 980407 - gdm should refuse to shutdown/reboot when other users are logged in and their password isn't provided
gdm should refuse to shutdown/reboot when other users are logged in and their...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity low
: beta
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 05:52 EDT by David Jaša
Modified: 2017-12-06 06:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:31:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-07-02 05:52:19 EDT
Description of problem:
gdm should refuse to shutdown/reboot when other users are logged in and their password isn't provided

Version-Release number of selected component (if applicable):
gdm-2.30.4-39.el6.x86_64
polkit-0.96-2.el6_0.1.x86_64

How reproducible:
always

Steps to Reproduce:
1. either of:
  - log in as root on tty[2-6], switch to GDM
  - log in as some user in gdm, use fast user switching to get back to gdm
2. in gdm, initiate shutdown (or reboot)
3.

Actual results:
shutdown is happily initiated

Expected results:
- password of other logged in users should be requested
- if the password is incorrect, shutdown should be refused

Additional info:
* not sure about correct behaviour when suspend (acpi s3 or s4) is requested
* the requested behaviour is consistent with gnome behaviour
Comment 1 RHEL Product and Program Management 2013-10-13 23:15:01 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Jan Kurik 2017-12-06 06:31:01 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.